Unable to update flatpak package and it failed with "error: Plugin selinux: hook fsm_file_prepare failed"

Solution In Progress - Updated -

Issue

  • During system update the flatpack package failed to upgrade with below error.
    • error: Plugin selinux: hook fsm_file_prepare failed.
  • Same issue gets reproducible even after uninstalling existing flatpak package and re-installing it.
Error unpacking rpm package flatpak-1.10.7-1.el9.x86_64
  Upgrading        : python3-libcomps-0.1.18-1.el9.x86_64                                               320/902 
error: unpacking of archive failed on file /usr/libexec/flatpak-system-helper;61fe3cc4: cpio: (error 0x2)
error: flatpak-1.10.7-1.el9.x86_64: install failed

*****
Running transaction
  Preparing        :                                                                                        1/1 
  Running scriptlet: flatpak-1.10.7-1.el9.x86_64                                                            1/2 
  Upgrading        : flatpak-1.10.7-1.el9.x86_64                                                            1/2 
error: lsetfilecon: (/usr/libexec/flatpak-system-helper;61fea86c, system_u:object_r:flatpak_helper_exec_t:s0) Invalid argument
error: Plugin selinux: hook fsm_file_prepare failed

Failed:
  flatpak-1.10.2-6.el9.x86_64                            flatpak-1.10.7-1.el9.x86_64                           

Error: Transaction failed

Environment

  • Red Hat Enterprise Linux 9 Beta
  • flatpak

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content